ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.33 by pcg, Thu Mar 29 17:35:20 2007 UTC vs.
Revision 1.37 by pcg, Sat Dec 1 23:35:31 2007 UTC

9548 9548
9549 9549
9550fi 9550fi
9551 9551
9552 9552
9553
9554
9555
9556
9557
9558
9559
9560
9561for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h
9562do
9563as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9564if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9565 { echo "$as_me:$LINENO: checking for $ac_header" >&5
9566echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9567if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9568 echo $ECHO_N "(cached) $ECHO_C" >&6
9569fi
9570ac_res=`eval echo '${'$as_ac_Header'}'`
9571 { echo "$as_me:$LINENO: result: $ac_res" >&5
9572echo "${ECHO_T}$ac_res" >&6; }
9573else
9574 # Is the header compilable?
9575{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
9576echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
9577cat >conftest.$ac_ext <<_ACEOF
9578/* confdefs.h. */
9579_ACEOF
9580cat confdefs.h >>conftest.$ac_ext
9581cat >>conftest.$ac_ext <<_ACEOF
9582/* end confdefs.h. */
9583$ac_includes_default
9584#include <$ac_header>
9585_ACEOF
9586rm -f conftest.$ac_objext
9587if { (ac_try="$ac_compile"
9588case "(($ac_try" in
9589 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9590 *) ac_try_echo=$ac_try;;
9591esac
9592eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9593 (eval "$ac_compile") 2>conftest.er1
9594 ac_status=$?
9595 grep -v '^ *+' conftest.er1 >conftest.err
9596 rm -f conftest.er1
9597 cat conftest.err >&5
9598 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9599 (exit $ac_status); } && {
9600 test -z "$ac_c_werror_flag" ||
9601 test ! -s conftest.err
9602 } && test -s conftest.$ac_objext; then
9603 ac_header_compiler=yes
9604else
9605 echo "$as_me: failed program was:" >&5
9606sed 's/^/| /' conftest.$ac_ext >&5
9607
9608 ac_header_compiler=no
9609fi
9610
9611rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9612{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9613echo "${ECHO_T}$ac_header_compiler" >&6; }
9614
9615# Is the header present?
9616{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
9617echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
9618cat >conftest.$ac_ext <<_ACEOF
9619/* confdefs.h. */
9620_ACEOF
9621cat confdefs.h >>conftest.$ac_ext
9622cat >>conftest.$ac_ext <<_ACEOF
9623/* end confdefs.h. */
9624#include <$ac_header>
9625_ACEOF
9626if { (ac_try="$ac_cpp conftest.$ac_ext"
9627case "(($ac_try" in
9628 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9629 *) ac_try_echo=$ac_try;;
9630esac
9631eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9632 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
9633 ac_status=$?
9634 grep -v '^ *+' conftest.er1 >conftest.err
9635 rm -f conftest.er1
9636 cat conftest.err >&5
9637 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9638 (exit $ac_status); } >/dev/null && {
9639 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
9640 test ! -s conftest.err
9641 }; then
9642 ac_header_preproc=yes
9643else
9644 echo "$as_me: failed program was:" >&5
9645sed 's/^/| /' conftest.$ac_ext >&5
9646
9647 ac_header_preproc=no
9648fi
9649
9650rm -f conftest.err conftest.$ac_ext
9651{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9652echo "${ECHO_T}$ac_header_preproc" >&6; }
9653
9654# So? What about this header?
9655case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
9656 yes:no: )
9657 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
9658echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
9659 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
9660echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
9661 ac_header_preproc=yes
9662 ;;
9663 no:yes:* )
9664 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
9665echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
9666 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
9667echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
9668 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
9669echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
9670 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
9671echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
9672 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
9673echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
9674 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
9675echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
9676
9677 ;;
9678esac
9679{ echo "$as_me:$LINENO: checking for $ac_header" >&5
9680echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9681if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9682 echo $ECHO_N "(cached) $ECHO_C" >&6
9683else
9684 eval "$as_ac_Header=\$ac_header_preproc"
9685fi
9686ac_res=`eval echo '${'$as_ac_Header'}'`
9687 { echo "$as_me:$LINENO: result: $ac_res" >&5
9688echo "${ECHO_T}$ac_res" >&6; }
9689
9690fi
9691if test `eval echo '${'$as_ac_Header'}'` = yes; then
9692 cat >>confdefs.h <<_ACEOF
9693#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9694_ACEOF
9695
9696fi
9697
9698done
9699
9700
9701
9702
9703
9704
9705
9706
9707for ac_func in inotify_init epoll_ctl kqueue port_create poll select
9708do
9709as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9710{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9711echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9712if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9713 echo $ECHO_N "(cached) $ECHO_C" >&6
9714else
9715 cat >conftest.$ac_ext <<_ACEOF
9716/* confdefs.h. */
9717_ACEOF
9718cat confdefs.h >>conftest.$ac_ext
9719cat >>conftest.$ac_ext <<_ACEOF
9720/* end confdefs.h. */
9721/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9722 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9723#define $ac_func innocuous_$ac_func
9724
9725/* System header to define __stub macros and hopefully few prototypes,
9726 which can conflict with char $ac_func (); below.
9727 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9728 <limits.h> exists even on freestanding compilers. */
9729
9730#ifdef __STDC__
9731# include <limits.h>
9732#else
9733# include <assert.h>
9734#endif
9735
9736#undef $ac_func
9737
9738/* Override any GCC internal prototype to avoid an error.
9739 Use char because int might match the return type of a GCC
9740 builtin and then its argument prototype would still apply. */
9741#ifdef __cplusplus
9742extern "C"
9743#endif
9744char $ac_func ();
9745/* The GNU C library defines this for functions which it implements
9746 to always fail with ENOSYS. Some functions are actually named
9747 something starting with __ and the normal name is an alias. */
9748#if defined __stub_$ac_func || defined __stub___$ac_func
9749choke me
9750#endif
9751
9752int
9753main ()
9754{
9755return $ac_func ();
9756 ;
9757 return 0;
9758}
9759_ACEOF
9760rm -f conftest.$ac_objext conftest$ac_exeext
9761if { (ac_try="$ac_link"
9762case "(($ac_try" in
9763 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9764 *) ac_try_echo=$ac_try;;
9765esac
9766eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9767 (eval "$ac_link") 2>conftest.er1
9768 ac_status=$?
9769 grep -v '^ *+' conftest.er1 >conftest.err
9770 rm -f conftest.er1
9771 cat conftest.err >&5
9772 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9773 (exit $ac_status); } && {
9774 test -z "$ac_c_werror_flag" ||
9775 test ! -s conftest.err
9776 } && test -s conftest$ac_exeext &&
9777 $as_test_x conftest$ac_exeext; then
9778 eval "$as_ac_var=yes"
9779else
9780 echo "$as_me: failed program was:" >&5
9781sed 's/^/| /' conftest.$ac_ext >&5
9782
9783 eval "$as_ac_var=no"
9784fi
9785
9786rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9787 conftest$ac_exeext conftest.$ac_ext
9788fi
9789ac_res=`eval echo '${'$as_ac_var'}'`
9790 { echo "$as_me:$LINENO: result: $ac_res" >&5
9791echo "${ECHO_T}$ac_res" >&6; }
9792if test `eval echo '${'$as_ac_var'}'` = yes; then
9793 cat >>confdefs.h <<_ACEOF
9794#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9795_ACEOF
9796
9797fi
9798done
9799
9800
9801{ echo "$as_me:$LINENO: checking for clock_gettime" >&5
9802echo $ECHO_N "checking for clock_gettime... $ECHO_C" >&6; }
9803if test "${ac_cv_func_clock_gettime+set}" = set; then
9804 echo $ECHO_N "(cached) $ECHO_C" >&6
9805else
9806 cat >conftest.$ac_ext <<_ACEOF
9807/* confdefs.h. */
9808_ACEOF
9809cat confdefs.h >>conftest.$ac_ext
9810cat >>conftest.$ac_ext <<_ACEOF
9811/* end confdefs.h. */
9812/* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
9813 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9814#define clock_gettime innocuous_clock_gettime
9815
9816/* System header to define __stub macros and hopefully few prototypes,
9817 which can conflict with char clock_gettime (); below.
9818 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9819 <limits.h> exists even on freestanding compilers. */
9820
9821#ifdef __STDC__
9822# include <limits.h>
9823#else
9824# include <assert.h>
9825#endif
9826
9827#undef clock_gettime
9828
9829/* Override any GCC internal prototype to avoid an error.
9830 Use char because int might match the return type of a GCC
9831 builtin and then its argument prototype would still apply. */
9832#ifdef __cplusplus
9833extern "C"
9834#endif
9835char clock_gettime ();
9836/* The GNU C library defines this for functions which it implements
9837 to always fail with ENOSYS. Some functions are actually named
9838 something starting with __ and the normal name is an alias. */
9839#if defined __stub_clock_gettime || defined __stub___clock_gettime
9840choke me
9841#endif
9842
9843int
9844main ()
9845{
9846return clock_gettime ();
9847 ;
9848 return 0;
9849}
9850_ACEOF
9851rm -f conftest.$ac_objext conftest$ac_exeext
9852if { (ac_try="$ac_link"
9853case "(($ac_try" in
9854 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9855 *) ac_try_echo=$ac_try;;
9856esac
9857eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9858 (eval "$ac_link") 2>conftest.er1
9859 ac_status=$?
9860 grep -v '^ *+' conftest.er1 >conftest.err
9861 rm -f conftest.er1
9862 cat conftest.err >&5
9863 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9864 (exit $ac_status); } && {
9865 test -z "$ac_c_werror_flag" ||
9866 test ! -s conftest.err
9867 } && test -s conftest$ac_exeext &&
9868 $as_test_x conftest$ac_exeext; then
9869 ac_cv_func_clock_gettime=yes
9870else
9871 echo "$as_me: failed program was:" >&5
9872sed 's/^/| /' conftest.$ac_ext >&5
9873
9874 ac_cv_func_clock_gettime=no
9875fi
9876
9877rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9878 conftest$ac_exeext conftest.$ac_ext
9879fi
9880{ echo "$as_me:$LINENO: result: $ac_cv_func_clock_gettime" >&5
9881echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
9882if test $ac_cv_func_clock_gettime = yes; then
9883 :
9884else
9885
9886 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
9887
9888{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
9889echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
9890if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
9891 echo $ECHO_N "(cached) $ECHO_C" >&6
9892else
9893 ac_check_lib_save_LIBS=$LIBS
9894LIBS="-lrt $LIBS"
9895cat >conftest.$ac_ext <<_ACEOF
9896/* confdefs.h. */
9897_ACEOF
9898cat confdefs.h >>conftest.$ac_ext
9899cat >>conftest.$ac_ext <<_ACEOF
9900/* end confdefs.h. */
9901
9902/* Override any GCC internal prototype to avoid an error.
9903 Use char because int might match the return type of a GCC
9904 builtin and then its argument prototype would still apply. */
9905#ifdef __cplusplus
9906extern "C"
9907#endif
9908char clock_gettime ();
9909int
9910main ()
9911{
9912return clock_gettime ();
9913 ;
9914 return 0;
9915}
9916_ACEOF
9917rm -f conftest.$ac_objext conftest$ac_exeext
9918if { (ac_try="$ac_link"
9919case "(($ac_try" in
9920 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9921 *) ac_try_echo=$ac_try;;
9922esac
9923eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9924 (eval "$ac_link") 2>conftest.er1
9925 ac_status=$?
9926 grep -v '^ *+' conftest.er1 >conftest.err
9927 rm -f conftest.er1
9928 cat conftest.err >&5
9929 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9930 (exit $ac_status); } && {
9931 test -z "$ac_c_werror_flag" ||
9932 test ! -s conftest.err
9933 } && test -s conftest$ac_exeext &&
9934 $as_test_x conftest$ac_exeext; then
9935 ac_cv_lib_rt_clock_gettime=yes
9936else
9937 echo "$as_me: failed program was:" >&5
9938sed 's/^/| /' conftest.$ac_ext >&5
9939
9940 ac_cv_lib_rt_clock_gettime=no
9941fi
9942
9943rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9944 conftest$ac_exeext conftest.$ac_ext
9945LIBS=$ac_check_lib_save_LIBS
9946fi
9947{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_clock_gettime" >&5
9948echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6; }
9949if test $ac_cv_lib_rt_clock_gettime = yes; then
9950 cat >>confdefs.h <<_ACEOF
9951#define HAVE_LIBRT 1
9952_ACEOF
9953
9954 LIBS="-lrt $LIBS"
9955
9956fi
9957
9958
9959for ac_func in clock_gettime
9960do
9961as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9962{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9963echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9964if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9965 echo $ECHO_N "(cached) $ECHO_C" >&6
9966else
9967 cat >conftest.$ac_ext <<_ACEOF
9968/* confdefs.h. */
9969_ACEOF
9970cat confdefs.h >>conftest.$ac_ext
9971cat >>conftest.$ac_ext <<_ACEOF
9972/* end confdefs.h. */
9973/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9974 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9975#define $ac_func innocuous_$ac_func
9976
9977/* System header to define __stub macros and hopefully few prototypes,
9978 which can conflict with char $ac_func (); below.
9979 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9980 <limits.h> exists even on freestanding compilers. */
9981
9982#ifdef __STDC__
9983# include <limits.h>
9984#else
9985# include <assert.h>
9986#endif
9987
9988#undef $ac_func
9989
9990/* Override any GCC internal prototype to avoid an error.
9991 Use char because int might match the return type of a GCC
9992 builtin and then its argument prototype would still apply. */
9993#ifdef __cplusplus
9994extern "C"
9995#endif
9996char $ac_func ();
9997/* The GNU C library defines this for functions which it implements
9998 to always fail with ENOSYS. Some functions are actually named
9999 something starting with __ and the normal name is an alias. */
10000#if defined __stub_$ac_func || defined __stub___$ac_func
10001choke me
10002#endif
10003
10004int
10005main ()
10006{
10007return $ac_func ();
10008 ;
10009 return 0;
10010}
10011_ACEOF
10012rm -f conftest.$ac_objext conftest$ac_exeext
10013if { (ac_try="$ac_link"
10014case "(($ac_try" in
10015 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10016 *) ac_try_echo=$ac_try;;
10017esac
10018eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10019 (eval "$ac_link") 2>conftest.er1
10020 ac_status=$?
10021 grep -v '^ *+' conftest.er1 >conftest.err
10022 rm -f conftest.er1
10023 cat conftest.err >&5
10024 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10025 (exit $ac_status); } && {
10026 test -z "$ac_c_werror_flag" ||
10027 test ! -s conftest.err
10028 } && test -s conftest$ac_exeext &&
10029 $as_test_x conftest$ac_exeext; then
10030 eval "$as_ac_var=yes"
10031else
10032 echo "$as_me: failed program was:" >&5
10033sed 's/^/| /' conftest.$ac_ext >&5
10034
10035 eval "$as_ac_var=no"
10036fi
10037
10038rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10039 conftest$ac_exeext conftest.$ac_ext
10040fi
10041ac_res=`eval echo '${'$as_ac_var'}'`
10042 { echo "$as_me:$LINENO: result: $ac_res" >&5
10043echo "${ECHO_T}$ac_res" >&6; }
10044if test `eval echo '${'$as_ac_var'}'` = yes; then
10045 cat >>confdefs.h <<_ACEOF
10046#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10047_ACEOF
10048
10049fi
10050done
10051
10052 fi
10053
10054fi
10055
10056
10057
10058{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
10059echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
10060if test "${ac_cv_lib_m_ceil+set}" = set; then
10061 echo $ECHO_N "(cached) $ECHO_C" >&6
10062else
10063 ac_check_lib_save_LIBS=$LIBS
10064LIBS="-lm $LIBS"
10065cat >conftest.$ac_ext <<_ACEOF
10066/* confdefs.h. */
10067_ACEOF
10068cat confdefs.h >>conftest.$ac_ext
10069cat >>conftest.$ac_ext <<_ACEOF
10070/* end confdefs.h. */
10071
10072/* Override any GCC internal prototype to avoid an error.
10073 Use char because int might match the return type of a GCC
10074 builtin and then its argument prototype would still apply. */
10075#ifdef __cplusplus
10076extern "C"
10077#endif
10078char ceil ();
10079int
10080main ()
10081{
10082return ceil ();
10083 ;
10084 return 0;
10085}
10086_ACEOF
10087rm -f conftest.$ac_objext conftest$ac_exeext
10088if { (ac_try="$ac_link"
10089case "(($ac_try" in
10090 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10091 *) ac_try_echo=$ac_try;;
10092esac
10093eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10094 (eval "$ac_link") 2>conftest.er1
10095 ac_status=$?
10096 grep -v '^ *+' conftest.er1 >conftest.err
10097 rm -f conftest.er1
10098 cat conftest.err >&5
10099 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10100 (exit $ac_status); } && {
10101 test -z "$ac_c_werror_flag" ||
10102 test ! -s conftest.err
10103 } && test -s conftest$ac_exeext &&
10104 $as_test_x conftest$ac_exeext; then
10105 ac_cv_lib_m_ceil=yes
10106else
10107 echo "$as_me: failed program was:" >&5
10108sed 's/^/| /' conftest.$ac_ext >&5
10109
10110 ac_cv_lib_m_ceil=no
10111fi
10112
10113rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10114 conftest$ac_exeext conftest.$ac_ext
10115LIBS=$ac_check_lib_save_LIBS
10116fi
10117{ echo "$as_me:$LINENO: result: $ac_cv_lib_m_ceil" >&5
10118echo "${ECHO_T}$ac_cv_lib_m_ceil" >&6; }
10119if test $ac_cv_lib_m_ceil = yes; then
10120 cat >>confdefs.h <<_ACEOF
10121#define HAVE_LIBM 1
10122_ACEOF
10123
10124 LIBS="-lm $LIBS"
10125
10126fi
10127
10128
10129
10130
10131
10132
9553ac_ext=cpp 10133ac_ext=cpp
9554ac_cpp='$CXXCPP $CPPFLAGS' 10134ac_cpp='$CXXCPP $CPPFLAGS'
9555ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 10135ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
9556ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 10136ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
9557ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 10137ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
10651fi 11231fi
10652 11232
10653if $CXX -v --help 2>&1 | grep -q fexceptions; then 11233if $CXX -v --help 2>&1 | grep -q fexceptions; then
10654 CXXFLAGS="$CXXFLAGS -fno-exceptions" 11234 CXXFLAGS="$CXXFLAGS -fno-exceptions"
10655fi 11235fi
11236
11237LIBS="$EXTRA_LIBS $LIBS"
10656 11238
10657 11239
10658 11240
10659 11241
10660ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 11242ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines